Bug 1150512 - Review Request: gr-fcdproplus - GNURadio support for FUNcube Dongle Pro+
Summary: Review Request: gr-fcdproplus - GNURadio support for FUNcube Dongle Pro+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-08 11:43 UTC by Jaroslav Škarvada
Modified: 2014-12-01 21:44 UTC (History)
2 users (show)

Fixed In Version: gr-fcdproplus-0-0.6.20140920git1edbe523.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 09:15:29 UTC
Type: ---
jsynacek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2014-10-08 11:43:55 UTC
Spec URL: https://fedorapeople.org/~jskarvad/gnuradio/gr-fcdproplus.spec
SRPM URL: https://fedorapeople.org/~jskarvad/gnuradio/gr-fcdproplus-0-0.1.20140920git1edbe523.fc20.src.rpm
Description: GNURadio support for FUNcube Dongle Pro+.
Fedora Account System Username: jskarvad

Comment 1 Jan Synacek 2014-10-10 05:58:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/jsynacek/work/reviews
     /gr-fcdproplus/1150512-gr-fcdproplus/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gr-
     fcdproplus-devel , gr-fcdproplus-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gr-fcdproplus-0-0.1.20140920git1edbe523.fc20.x86_64.rpm
          gr-fcdproplus-devel-0-0.1.20140920git1edbe523.fc20.x86_64.rpm
          gr-fcdproplus-doc-0-0.1.20140920git1edbe523.fc20.noarch.rpm
          gr-fcdproplus-0-0.1.20140920git1edbe523.fc20.src.rpm
gr-fcdproplus-devel.x86_64: W: only-non-binary-in-usr-lib
gr-fcdproplus-devel.x86_64: W: no-documentation
gr-fcdproplus.src: W: invalid-url Source0: gr-fcdproplus-0-20140920git1edbe523.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gr-fcdproplus-doc gr-fcdproplus gr-fcdproplus-devel
gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libusb-1.0.so.0
gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libboost_filesystem.so.1.54.0
gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libm.so.6
gr-fcdproplus-devel.x86_64: W: only-non-binary-in-usr-lib
gr-fcdproplus-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
gr-fcdproplus-doc (rpmlib, GLIBC filtered):
    gr-fcdproplus

gr-fcdproplus (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_filesystem.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgnuradio-audio-3.7.3.so.0.0.0()(64bit)
    libgnuradio-blocks-3.7.3.so.0.0.0()(64bit)
    libgnuradio-fcdproplus.so.0()(64bit)
    libgnuradio-runtime-3.7.3.so.0.0.0()(64bit)
    libhidapi-libusb.so.0()(64bit)
    libm.so.6()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libusb-1.0.so.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

gr-fcdproplus-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    gr-fcdproplus
    libgnuradio-fcdproplus.so.0()(64bit)



Provides
--------
gr-fcdproplus-doc:
    gr-fcdproplus-doc

gr-fcdproplus:
    gr-fcdproplus
    gr-fcdproplus(x86-64)
    libgnuradio-fcdproplus.so.0()(64bit)

gr-fcdproplus-devel:
    gr-fcdproplus-devel
    gr-fcdproplus-devel(x86-64)



Unversioned so-files
--------------------
gr-fcdproplus: /usr/lib64/python2.7/site-packages/fcdproplus/_fcdproplus_swig.so

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1150512
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jan Synacek 2014-10-10 06:40:10 UTC
(In reply to Jan Synacek from comment #1)
> Issues:
> =======
> - Package contains BR: python2-devel or python3-devel

I don't see any direct usage of python during the build. I don't think
any of these are required.

> [ ]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.

This is a python subdirectory with included swig bindings. I don't see
any problem with that.

> [ ]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/lib/udev,
>      /usr/lib/udev/rules.d

These are owned by another package (systemd). No problem.

> [!]: Uses parallel make %{?_smp_mflags} macro.

There is a clear mention in the spec file that the parallel build is broken. No problem.

> [ ]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gr-
>      fcdproplus-devel , gr-fcdproplus-doc

PROBLEM: probably doesn't matter for -doc, but -devel should have the %{?_isa} part.

> Rpmlint
> -------
> Checking: gr-fcdproplus-0-0.1.20140920git1edbe523.fc20.x86_64.rpm
>           gr-fcdproplus-devel-0-0.1.20140920git1edbe523.fc20.x86_64.rpm
>           gr-fcdproplus-doc-0-0.1.20140920git1edbe523.fc20.noarch.rpm
>           gr-fcdproplus-0-0.1.20140920git1edbe523.fc20.src.rpm
> gr-fcdproplus-devel.x86_64: W: only-non-binary-in-usr-lib
> gr-fcdproplus-devel.x86_64: W: no-documentation
> gr-fcdproplus.src: W: invalid-url Source0:
> gr-fcdproplus-0-20140920git1edbe523.tar.bz2
> 4 packages and 0 specfiles checked; 0 errors, 3 warnings.
>
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint gr-fcdproplus-doc gr-fcdproplus gr-fcdproplus-devel
> gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libusb-1.0.so.0
> gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libgnuradio-fcdproplus.so.0.0.0
> /lib64/libboost_filesystem.so.1.54.0
> gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libm.so.6
> gr-fcdproplus-devel.x86_64: W: only-non-binary-in-usr-lib
> gr-fcdproplus-devel.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 0 errors, 5 warnings.
> # echo 'rpmlint-done:'

I don't see any problems with these.

Comment 3 Jaroslav Škarvada 2014-10-10 10:35:06 UTC
(In reply to Jan Synacek from comment #2)

Thanks for the review.

> > Issues:
> > =======
> > - Package contains BR: python2-devel or python3-devel
> 
> I don't see any direct usage of python during the build. I don't think
> any of these are required.
> 
The python-devel packages is not mentioned in the spec, it seems it is installed as gnuradio-devel dependency:
$ grep python ./gr-fcdproplus.spec
%{python_sitearch}/*

> > [ ]: Development (unversioned) .so files in -devel subpackage, if present.
> >      Note: Unversioned so-files in private %_libdir subdirectory (see
> >      attachment). Verify they are not in ld path.
> 
> This is a python subdirectory with included swig bindings. I don't see
> any problem with that.
> 
My opinion is the same, the lib is not provided by the rpm package.

> There is a clear mention in the spec file that the parallel build is broken.
> No problem.
> 
> > [ ]: Fully versioned dependency in subpackages if applicable.
> >      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gr-
> >      fcdproplus-devel , gr-fcdproplus-doc
> 
> PROBLEM: probably doesn't matter for -doc, but -devel should have the
> %{?_isa} part.
>
Thanks, fixed.

> > Rpmlint (installed packages)
> > ----------------------------
> > # rpmlint gr-fcdproplus-doc gr-fcdproplus gr-fcdproplus-devel
> > gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libusb-1.0.so.0
> > gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libgnuradio-fcdproplus.so.0.0.0
> > /lib64/libboost_filesystem.so.1.54.0
> > gr-fcdproplus.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libgnuradio-fcdproplus.so.0.0.0 /lib64/libm.so.6
>
These should be fixed now.

> > gr-fcdproplus-devel.x86_64: W: only-non-binary-in-usr-lib
>
This is rpmlint bug, other seems harmless.

New version:
Spec URL: https://fedorapeople.org/~jskarvad/gnuradio/gr-fcdproplus.spec
SRPM URL: https://fedorapeople.org/~jskarvad/gnuradio/gr-fcdproplus-0-0.2.20140920git1edbe523.fc20.src.rpm

Comment 4 Jan Synacek 2014-10-10 11:04:57 UTC
All seems fine now, approving.

Comment 5 Jaroslav Škarvada 2014-10-10 12:10:54 UTC
New Package SCM Request
=======================
Package Name: gr-fcdproplus
Short Description: GNURadio support for FUNcube Dongle Pro+
Upstream URL: https://github.com/dl1ksv/gr-fcdproplus
Owners: jskarvad
Branches: f20 f21 epel7
InitialCC:

Comment 6 Kevin Fenzi 2014-10-13 23:28:52 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-10-14 08:53:30 UTC
gr-fcdproplus-0-0.3.20140920git1edbe523.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gr-fcdproplus-0-0.3.20140920git1edbe523.fc21

Comment 8 Fedora Update System 2014-10-14 09:59:17 UTC
gr-fcdproplus-0-0.3.20140920git1edbe523.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gr-fcdproplus-0-0.3.20140920git1edbe523.fc20

Comment 9 Fedora Update System 2014-10-27 03:28:48 UTC
gr-fcdproplus-0-0.3.20140920git1edbe523.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-11-01 16:56:09 UTC
gr-fcdproplus-0-0.3.20140920git1edbe523.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2014-11-04 13:20:03 UTC
gr-fcdproplus-0-0.5.20140920git1edbe523.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gr-fcdproplus-0-0.5.20140920git1edbe523.el7

Comment 12 Fedora Update System 2014-11-14 20:51:48 UTC
gr-fcdproplus-0-0.6.20140920git1edbe523.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gr-fcdproplus-0-0.6.20140920git1edbe523.el7

Comment 13 Fedora Update System 2014-12-01 21:44:08 UTC
gr-fcdproplus-0-0.6.20140920git1edbe523.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.